{ config, lib, pkgs, ... }:

with lib;
with lib.my;
let cfg = config.modules.editors.vscode;
in {
  options.modules.editors.vscode = {
    enable = mkBoolOpt false;
  };

  config = mkIf cfg.enable {
    home.programs.vscode = {
      enable = true;
      extensions = with pkgs.vscode-extensions; [
        asvetliakov.vscode-neovim
        brettm12345.nixfmt-vscode
        coolbear.systemd-unit-file
        editorconfig.editorconfig
        golang.go
        graphql.vscode-graphql-syntax
        mattn.lisp
        mkhl.direnv
        ms-python.vscode-pylance
        ms-vscode.cpptools
        ms-vscode.hexeditor
        piousdeer.adwaita-theme
        # redhat.java
        # sumneko.lua
      ];
      userSettings = {
        "files.autoSave" = "off";
      };
    };
  };
}
